## ros-noetic-wfov-camera-msgs 0.15.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(wfov_camera_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation sensor_msgs)

# Generate messages in the 'msg' folder
add_message_files(
  FILES
  WFOVCompressedImage.msg
  WFOVImage.msg
  WFOVTrigger.msg
)

# Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  sensor_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime sensor_msgs
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

=== debian/changelog ===
ros-noetic-wfov-camera-msgs (0.15.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 12 Jan 2022 05:00:00 -0000

ros-noetic-wfov-camera-msgs (0.15.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 05 Nov 2020 05:00:00 -0000

ros-noetic-wfov-camera-msgs (0.14.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 05 May 2020 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.14.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 03 Apr 2020 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.13.4-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 26 Oct 2017 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.13.3-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 03 Oct 2017 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.13.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 28 Sep 2017 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.13.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 19 Apr 2017 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.13.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 17 Mar 2017 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.12.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 30 Sep 2016 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.12.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 06 Nov 2015 05:00:00 -0000

ros-noetic-wfov-camera-msgs (0.12.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 22 Apr 2015 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.11.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 07 Nov 2014 05:00:00 -0000

ros-noetic-wfov-camera-msgs (0.10.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 18 Aug 2014 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.9.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sun, 13 Jul 2014 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.9.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 12 Mar 2014 04:00:00 -0000

ros-noetic-wfov-camera-msgs (0.9.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 26 Feb 2014 05:00:00 -0000

ros-noetic-wfov-camera-msgs (0.0.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 26 Feb 2014 05:00:00 -0000

ros-noetic-wfov-camera-msgs (0.0.1-1focal) focal; urgency=high

  * Initial release to Hydro
  * Contributors: Chad Rockey, Dave Bradley, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sun, 23 Feb 2014 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-wfov-camera-msgs
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-sensor-msgs
Homepage: http://ros.org/wiki/pointgrey_camera_driver
Standards-Version: 3.9.2

Package: ros-noetic-wfov-camera-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-sensor-msgs
Description: Messages related to the Point Grey camera driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-wfov-camera-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
